Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.eci.repository.helper
Class RepositoryException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.bea.eci.repository.helper.RepositoryException

public class RepositoryException
extends java.lang.Exception

Thrown by the repository EJB, this class insulates the repository client from the repository implementation classes, specifically `com.bea.eci.repository.RepositoryException`.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`RepositoryException(int msgNum, java.lang.Object[] args)` Create a new RepositoryException containing a nested exception with a specific message.
`RepositoryException(java.lang.String msg)` Create a new RepositoryException containing a nested exception with a specific message.

Method Summary
`java.lang.String` | `getLocalizedMessage()` Obtain the locale-specific message for this exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RepositoryException

    public RepositoryException(int msgNum,
                               java.lang.Object[] args)

  Create a new RepositoryException containing a nested exception with a specific message.

  Parameters:
    `e` - the nested `Exception`.
    `msgNum` - the message number as defined in `RepositoryExceptionMessages`

### RepositoryException

    public RepositoryException(java.lang.String msg)

  Create a new RepositoryException containing a nested exception with a specific message.

  Parameters:
    `e` - the nested `Exception`.

Method Detail

### getLocalizedMessage

    public java.lang.String getLocalizedMessage()

  Obtain the locale-specific message for this exception.

  Returns:
    a `String` containing the localized message.
  Overrides:
    getLocalizedMessage in class java.lang.Throwable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)